<?php

class p_bookmarks_link extends cmsPlugin {
 
    public function __construct(){
 
    $this->inPage = cmsPage::getInstance();
    $this->inConf = cmsConfig::getInstance();
 
        $this->info['plugin']      = 'p_bookmarks_link';
        $this->info['title']       = 'Закладки';
        $this->info['description'] = 'Добавляет ссылку на главную страницу компонента Закладки';
        $this->info['author']      = 'Lora';
        $this->info['version']     = '1.10.7';
        $this->events[] = 'USER_PROFILE';
        parent::__construct();
 
    }
      public function execute($event='', $user=array()){
        switch ($event){
            case 'USER_PROFILE': $item = $this->viewLink($user); break;
        }
        return $item;
    }
    public function viewLink($user){
            if(file_exists(PATH.'/languages/'.$this->inConf->lang.'/components/bookmarks.php')){
		include_once PATH.'/languages/'.$this->inConf->lang.'/components/bookmarks.php';
	    }
		
        ob_start();
        ?>
         <script type="text/javascript">
   var user = "<?php echo $user['login'] ?>";
   var title = '<?php echo $_LANG["BOOKMARKS"] ?>';
 
  var newTr = document.createElement('a');
  var span = document.createElement('span');
  newTr.appendChild(span);
  var textnode = document.createTextNode(title);
  newTr.appendChild(textnode);
  newTr.setAttribute('href','/bookmarks/'+user+'');
  newTr.setAttribute('class','list-group-item');
  newTr.setAttribute('title',title);
  span.setAttribute('class','icomoon icon-happy');
  document.getElementById("usermenu").appendChild(newTr);        
            </script>
            <?php
        return ob_get_clean();
 
    }
}

?>